Skip to content
GET /unified/ticketing/tags/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

collectionsobject[]

Collection with type project is required.

1 supported1 required
Pivotal Tracker
required
idstring

The unique identifier for a collection

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

colorstring

Color of the tag. In hex format.

11 supported
Dixa
supported
eDesk
supported
Front
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Kustomer
supported
LiveAgent
supported
ServiceNow
supported
Todoist
supported
Trengo
supported
created_atstring · date-time

The date the tag was created

8 supported
Asana
supported
Front
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Kustomer
supported
Pivotal Tracker
supported
ServiceNow
supported
etagstring

The unique identifier for the specific version of the resource.

idstring

The unique identifier for a tag

18 supported
Asana
supported
Azure DevOps
supported
Dixa
supported
eDesk
supported
Front
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Kustomer
supported
LiveAgent
supported
Pivotal Tracker
supported
Quickbase for Project Management
supported
ServiceNow
supported
Superchat
supported
Teamwork Project Management
supported
Todoist
supported
Trello
supported
Trengo
supported
namestring

The name of the tag

17 supported
Asana
supported
Azure DevOps
supported
Dixa
supported
eDesk
supported
Front
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Kustomer
supported
LiveAgent
supported
Pivotal Tracker
supported
ServiceNow
supported
Superchat
supported
Teamwork Project Management
supported
Todoist
supported
Trello
supported
Trengo
supported
parentobject

The parent tag of this tag

References: Tags → id
1 supported
Front
supported
idstring

The unique identifier for the tag

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the tag. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactive
6 supported
Dixa
supported
eDesk
supported
Kustomer
supported
LiveAgent
supported
ServiceNow
supported
Trengo
supported
updated_atstring · date-time

The date the tag was last updated

7 supported
Azure DevOps
supported
Front
supported
Help Scout
supported
Hive
supported
Kustomer
supported
Pivotal Tracker
supported
ServiceNow
supported
workspaceobject

The workspace the tag belongs to

References: Workspaces → id
4 supported
Front
supported
Hive
supported
Teamwork Project Management
supported
Trello
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspace

curl -X GET 'https://api.truto.one/unified/ticketing/tags/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/tags/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/tags/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'tags',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "tags",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())